#include "curses.h"

static wchar_t _wcs8[160];
#define PREPARE_WCS8 va_list ap; \
                     va_start(ap,fmt);\
                     vswprintf(_wcs8, sizeof(_wcs8)/sizeof(_wcs8[0]), fmt, ap);\
                     va_end(ap);

int printw8(const wchar_t *fmt, ...) {
    PREPARE_WCS8
    return printw("%ls",_wcs8);
}
int wprintw8(WINDOW *win, const wchar_t *fmt, ...) {
    PREPARE_WCS8
    return wprintw(win,"%ls",_wcs8);
}

int mvprintw8(int y, int x, const wchar_t *fmt, ...) {
    PREPARE_WCS8
    return mvprintw(y,x,"%ls",_wcs8);
}

int mvwprintw8(WINDOW *win, int y, int x, const wchar_t *fmt, ...)
{
    PREPARE_WCS8
    return mvwprintw(win,y,x,"%ls",_wcs8);
}
