/*------------------------------------------------*/
/* 42udp/server.c                                 */
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <signal.h>
#include <arpa/inet.h>
#include <unistd.h>
#include <stdbool.h>
#include <string.h>
#include <errno.h>
#include "connection.h"

static int sd;

static void closeServerHandler()
{
    printf("\nClosing server ...\n");
    close(sd);
    exit(EXIT_SUCCESS);
}

int main(void)
{
    scitance sc;
    vysledek v;
    struct sockaddr_in server, client;
    socklen_t client_len;
    int ret;

    memset(&server, 0, sizeof(server));
    server.sin_family = AF_INET;
    server.sin_addr.s_addr = htonl(INADDR_ANY);
    server.sin_port = htons(PORT);
    sd = socket(AF_INET, SOCK_DGRAM, 0);

    bind(sd, (struct sockaddr *)&server, sizeof(server));

    signal(SIGINT, closeServerHandler);

    while (true) {
        printf("Čekám na packet od klienta ...\n");
        client_len = sizeof(client);
        ret =
            recvfrom(sd, &sc, sizeof(sc), 0,
                 (struct sockaddr *)&client, &client_len);
        if (ret < 0) {
            perror("recvfrom");
            exit(EXIT_FAILURE);
        }
        printf("Sčítám %i + %i.\n", sc.x, sc.y);
        v.z = sc.x + sc.y;
        printf("Write ...\n");
        sendto(sd, &v, sizeof(v), MSG_DONTWAIT,
               (struct sockaddr *)&client, client_len);
    }

    return 0;
}
/*------------------------------------------------*/
