/*------------------------------------------------*/
/* 45cgi/common.c                                 */
#include <stdlib.h>
#include "common.h"

void usage()
{
    printf("Tento program by měl být spouštěn jako CGI.\n");
}

void printEnvironmentVals() {
    char *qstring, *method;
    qstring = getenv("QUERY_STRING");
    if (!qstring) {
        usage();
        exit(EXIT_FAILURE);
    }

    method = getenv("REQUEST_METHOD");
    if (!method)
        method = "-";

    printf("\t\t<p>QUERY_STRING: %s</p>\n", qstring);
    printf("\t\t<p>REQUEST_METHOD: %s</p>\n", method);
}


void printAllEnvironmentVals(char **env) {
    int i = 0;
    while (env[i++]) {
        printf("\t\t%s<br />\n", env[i - 1]);
    }
}

void printPostData() {
    char buff[1024];
    printf("\t\t<pre>\n");
    while (fgets(buff, sizeof(buff), stdin) != NULL) {
        printf("%s", buff);
    }
    printf("\t\t</pre>\n");
}
/*------------------------------------------------*/
