/*------------------------------------------------*/
/* 51ncurses/terminalw.c                          */
#include <ncurses.h>
#include <unistd.h>
#include <stdlib.h>
#include <locale.h>

static void obnovTerminal()
{
    printw("Obnovuji nastavení terminálu\n");
    refresh();
    sleep(1);
    endwin();
}

int main()
{
    char ch;
    setlocale(LC_ALL, "");

    initscr();
    noecho();
    //nocbreak();
    raw();
    /* nezapomenout na obnoveni nastaveni terminalu! */
    atexit(obnovTerminal);

    printw("Zadávání znaků ukončíte klávesou Enter:\n");
    refresh();
    do {
        ch = getch();
        printw("ch = %c\n", ch);
        refresh();
    } while (ch != '\0' && ch != '\n');

    return EXIT_SUCCESS;
}
/*------------------------------------------------*/
