/* Copyright (c) 2001 Petr Bilek
   Tento program je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne license GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor pbadresar.c */

#include <stdlib.h>
#include <unistd.h>
#include <sys/stat.h>
#include <pwd.h>
#include <dirent.h>
#include <string.h>
#include <limits.h>

#include "struktury.h"
#include "lib.h"

int
pbadresar (char *jmeno_adr)
{
  DIR *adr;
  char adresar[NAME_MAX];
  struct passwd *pw;

  pw = getpwuid (getuid ());
  strcpy (adresar, pw->pw_dir);
  strcat (adresar, "/");
  strcat (adresar, PBADRESAR);

  if ((adr = opendir (adresar)) == NULL)
    {
      if ((mkdir (adresar, S_IRUSR | S_IWUSR | S_IXUSR |
		  S_IRGRP | S_IXGRP | S_IROTH | S_IXOTH)) != 0)
	{
	  return 1;
	}
    }
  else
    closedir (adr);


  strcat (adresar, "/");
  strcat (adresar, jmeno_adr);

  if ((adr = opendir (adresar)) == NULL)
    {
      if ((mkdir (adresar, S_IRUSR | S_IWUSR | S_IXUSR |
		  S_IRGRP | S_IXGRP | S_IROTH | S_IXOTH)) != 0)
	{
	  return 1;
	}
    }
  else
    closedir (adr);

  return 0;
}
