/*------------------------------------------------*/
/* 27bSax/sax1.c                                  */

#include <stdio.h>
#include <string.h>
#include "config.h"
#include "sax-parser.h"

int main(void)
{
    xmlSAXHandler sax;
    UserData user_data;

    memset(&sax, 0, sizeof(sax));
    sax.initialized = XML_SAX2_MAGIC;    /* Použij SAX2 (bez toho nefunguje startElementNs() */
    sax.startDocument = startDocument;
    sax.endDocument = endDocument;
    sax.startElementNs = startElementNs;
    sax.endElementNs = endElementNs;
    sax.characters = characters;

    if (xmlSAXUserParseFile(&sax, &user_data, "config.xml")) {
        fprintf(stderr, "Chyba pri parsovani XML\n");
    }
    xmlCleanupParser();

    if (user_data.config != NULL) {
        printConfigStructure(user_data.config);
        freeConfigStructure(user_data.config);
    }

    return 0;
}

/*------------------------------------------------*/
