#!/bin/bash
# create-xdbm.sh

if [ -f "/usr/include/gdbm-ndbm.h" ]
then
    echo "#include <gdbm-ndbm.h>" > xdbm.h
elif [ -f "/usr/include/gdbm/ndbm.h" ]
then
    echo "#include <gdbm/ndbm.h>" > xdbm.h
else
    if
        [ ! -f "/usr/include/ndbm.h" ]  &&
        [ ! -f "/src/include/ndbm.h" ]  
    then
        echo "Error: Nebyl nalezen soubor ndbm.h !"
        echo "       Pravdepodobne nemate nainstalovany vyvojovy balik knihovny gdbm"
        echo "       Nainstalujte, prosim, balik libgdbm-dev"
    else 
        echo "#include <ndbm.h>" > xdbm.h
    fi
fi
