/*------------------------------------------------*/
/* 43internetFunkce/gethostname.c                 */
#include <stdlib.h>
#include <unistd.h>
#include <limits.h>        /* HOST_NAME_MAX */
#include <stdio.h>
#include <errno.h>

int main(void)
{
    char name[HOST_NAME_MAX + 1];
    if (gethostname(name, sizeof(name))) {
        perror("gethostname");
        exit(EXIT_FAILURE);
    }
    printf("hostname = %s\n", name);
    return 0;
}
/*------------------------------------------------*/
